Get all answers for a submission Run in API Explorer
Ask AI
GET
/api/v1/form/{form_uuid}/submission/{submission_uuid}/answer
curl \
--request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission/6ff8f7f6-1eb3-3525-be4a-3932c805afed/answer' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "ab9befd0-e4ac-4b9b-b825-a7229325bb13",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"value": "this as an answer to a form question",
"question": {
"uuid": "3b34fc74-bb82-42cf-bf9d-0c4e2ba24c63",
"created_at": "2026-10-28T10:39:28+00:00",
"updated_at": "2026-10-28T10:39:28+00:00",
"section": {
"uuid": "3bdd0244-d378-4e96-a4b6-ce720bf1970a",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"title": "Personal Details",
"position": 1
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}
}
]
}